file_permission
Prev | Other Functions | Next

## Name

file_permission — check for additional access rights to a given file

## Synopsis

`int file_permission (` | struct file * | file,
| int | mask`)`;

## Arguments

`file`

  file to check access rights for

`mask`

  right to check for (`MAY_READ`, `MAY_WRITE`, `MAY_EXEC`)

## Description

Used to check for read/write/execute permissions on an already opened file.

## Note

Do not use this function in new code. All access checks should be done using `vfs_permission`.

Prev | Up | Next
vfs_permission | Home | vfs_path_lookup